net.dontdrinkandroot.wicket.behavior

## Class TitleModifier

- java.lang.Object
- - org.apache.wicket.behavior.Behavior
  - - org.apache.wicket.AttributeModifier
    - - net.dontdrinkandroot.wicket.behavior.TitleModifier

All Implemented Interfaces:
  Serializable, org.apache.wicket.IComponentAwareEventSink, org.apache.wicket.markup.html.IComponentAwareHeaderContributor, org.apache.wicket.util.io.IClusterable

    public class TitleModifier
    extends org.apache.wicket.AttributeModifier

Sets the `title` attribute of an element.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.wicket.AttributeModifier

`VALUELESS_ATTRIBUTE_ADD, VALUELESS_ATTRIBUTE_REMOVE`

### Constructor Summary

Constructors
Constructor and Description
`TitleModifier(org.apache.wicket.model.IModel<?> replaceModel)`
`TitleModifier(String titleString)`

### Method Summary

### Methods inherited from class org.apache.wicket.AttributeModifier

`append, append, detach, getAttribute, getReplaceModel, newValue, onComponentTag, prepend, prepend, remove, replace, replace, replaceAttributeValue, toString`

### Methods inherited from class org.apache.wicket.behavior.Behavior

`afterRender, beforeRender, bind, canCallListenerInterface, getStatelessHint, isEnabled, isTemporary, onConfigure, onEvent, onException, renderHead, unbind`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TitleModifier

    public TitleModifier(org.apache.wicket.model.IModel<?> replaceModel)

#### TitleModifier

    public TitleModifier(String titleString)